do
   local MyUnitIdTable = {
		'ch_bea01',
		'ch_def01',
		'ch_def02',
		'ch_et01',
		'ch_fas01',
		'ch_fas02',
		'ch_fas03',
		'ch_mul01',
		'ch_mul02',
		'ch_mul03',
		'ch_mul04',
		'ch_rng01',
		'ch_rng02',
		'ch_spl01',
		'ch_spl02',
		'ch_spl04',
		'ch_sta01',
		'ch_sta02',
		'ch_sta03',
		'ch_upg01',
		'ch_upg02',
		'ch_upg03',
		'ch_upg04',
		'ch_upg05',
		'ch_upg11',
		'ch_upg12',
		'ch_upg13',
		'ch_upg14',
		'ch_upg15',
   }
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end!
   local MyIconPath = "/mods/Turret Compilation"
   local oldUIFile = UIFile
   function UIFile(filespec)
      for i, v in MyUnitIdTable do
         if string.find(filespec, v .. '_icon') then
            local curfile =  MyIconPath .. filespec
            if DiskGetFileInfo(curfile) then
               return curfile
            else
				WARN('Blueprint icon for unit '.. curfile ..' could not be found, check your file path and icon names!')
               #WARN('Blueprint icon for unit '.. control.Data.id ..' could not be found, check your file path and icon names!')
            end
         end
      end
      return oldUIFile(filespec)
   end
end 