do
   local MyUnitIdTable = {
		'ch_bea01',
		'ch_def01',
		'ch_def02',
		'ch_et01',
		'ch_fas01',
		'ch_fas02',
		'ch_fas03',
		'ch_mul01',
		'ch_mul02',
		'ch_mul03',
		'ch_mul04',
		'ch_rng01',
		'ch_rng02',
		'ch_spl01',
		'ch_spl02',
		'ch_spl04',
		'ch_sta01',
		'ch_sta02',
		'ch_sta03',
		'ch_upg01',
		'ch_upg02',
		'ch_upg03',
		'ch_upg04',
		'ch_upg05',
		'ch_upg11',
		'ch_upg12',
		'ch_upg13',
		'ch_upg14',
		'ch_upg15',
   }
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end!
   local MyIconPath = "/mods/Turret Compilation"
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   local oldUpdateWindow = UpdateWindow
   function UpdateWindow(info)
      oldUpdateWindow(info)
      if IsMyUnit(info.blueprintId) and DiskGetFileInfo(MyIconPath .. '/icons/units/' .. info.blueprintId.. '_icon.dds') then
         controls.icon:SetTexture(MyIconPath .. '/icons/units/' .. info.blueprintId .. '_icon.dds')
      end
   end
end