local MultiPolyTrailProjectile = import('/lua/sim/defaultprojectiles.lua').MultiPolyTrailProjectile 
local EffectTemplate = import('/lua/EffectTemplates.lua')

local ALightLaserProjectile = Class(MultiPolyTrailProjectile) {

    PolyTrails = {
		'/mods/Turret Compilation/effects/emitters/ch_laser_heavy_yellow01_emit.bp',
		
		#'/effects/emitters/default_polytrail_03_emit.bp',
	},
	PolyTrailOffset = {0,0},

    # Hit Effects
    FxImpactUnit = EffectTemplate.ALightLaserHitUnit01,
    FxImpactProp = EffectTemplate.ALightLaserHitUnit01,
    FxImpactLand = EffectTemplate.ALightLaserHit01,
    FxImpactUnderWater = {},
}

ch_wpn_laser_heavy_yellow01 = Class(ALightLaserProjectile) {}

TypeClass = ch_wpn_laser_heavy_yellow01

