local TStructureUnit = import('/lua/terranunits.lua').TStructureUnit
local TDFMachineGunWeapon = import('/lua/terranweapons.lua').TDFMachineGunWeapon
local TIFCruiseMissileLauncher = import('/lua/terranweapons.lua').TIFCruiseMissileLauncher
local EffectTemplate = import('/lua/EffectTemplates.lua')

ch_mul04 = Class(TStructureUnit) {
    Weapons = {
        Turret = Class(TDFMachineGunWeapon) {},
		Missile = Class(TIFCruiseMissileLauncher) {
            FxMuzzleFlash = EffectTemplate.TIFCruiseMissileLaunchBuilding,
        },
    },
	
	OnStopBeingBuilt = function(self,builder,layer)
        TStructureUnit.OnStopBeingBuilt(self,builder,layer)
		#CreateRotator(unit, bone, axis, [goal], [speed], [accel], [goalspeed])
		#CreateRotator(self, 'ch_mul04', 'y', nil, 10, 0, 0)
	end,
}

TypeClass = ch_mul04