local TMissileCruiseProjectile = import('/lua/terranprojectiles.lua').TMissileCruiseProjectile
local Explosion = import('/lua/defaultexplosions.lua')
local EffectTemplate = import('/lua/EffectTemplates.lua')
local SingleBeamProjectile = import('/lua/sim/defaultprojectiles.lua').SingleBeamProjectile

ch_wpn_missile02 = Class(TMissileCruiseProjectile) {

    FxTrails = nil,
	
	FxImpactUnit = EffectTemplate.DustDebrisLand01,
    FxImpactLand = EffectTemplate.DustDebrisLand01,
    FxImpactProp = EffectTemplate.DustDebrisLand01,
	FxUnitHitScale = 0.375,
	FxLandHitScale = 0.375,
	FxPropHitScale = 0.375,
	
    OnCreate = function(self)
        TMissileCruiseProjectile.OnCreate(self)
        self:SetCollisionShape('Sphere', 0, 0, 0, 2.0)
		
		projectile = self
		
		SetDamageThread = ForkThread(function(self)
			projectile.DamageData = {
	            DamageRadius = 0,
	            DamageAmount = 0,
	            DamageType = 'Normal',
	            DamageFriendly = false,
	            MetaImpactAmount = nil,
	            MetaImpactRadius = nil,
	        }
			KillThread(self)
		end)
    end,
	
	OnImpact = function(self, targetType, targetEntity)
        SingleBeamProjectile.OnImpact(self, targetType, targetEntity)
    end,
}
TypeClass = ch_wpn_missile02